package GtkSpell::Install::Files;

$self = {
          'inc' => '-D_THREAD_SAFE -I/usr/local/include/gtkspell-2.0 -I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/pango-1.0 -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include/freetype2  ',
          'typemaps' => [
                          'gtkspell.typemap'
                        ],
          'deps' => [
                      'Glib',
                      'Gtk2',
                      'Cairo'
                    ],
          'libs' => '-pthread -Wl,--rpath -Wl,/usr/local/lib -L/usr/local/lib -lgtkspell -laspell -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lcairo -lpangoft2-1.0 -lfontconfig -lfreetype -lz -lpango-1.0 -lm -lX11 -lXfixes -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -liconv  '
        };


# this is for backwards compatiblity
@deps = @{ $self->{deps} };
@typemaps = @{ $self->{typemaps} };
$libs = $self->{libs};
$inc = $self->{inc};

	$CORE = undef;
	foreach (@INC) {
		if ( -f $_ . "/GtkSpell/Install/Files.pm") {
			$CORE = $_ . "/GtkSpell/Install/";
			last;
		}
	}

1;
